function result = manualedge(img)

    img = im2double(img);

    % aplikace Sobelova filtru do dvou směrů
    sy = fspecial('sobel');
    sx = sy';

    ix = imfilter(img, sx, 'replicate');
    iy = imfilter(img, sy, 'replicate');
    
    % vytvoření gradientu
    gradient = abs(ix) + abs(iy);

    % prahování
    T = 4 * mean(gradient, 'all');
    result = gradient > T;

end

